Bug 1892693 (kde-style-breeze) - Review Request: kde-style-breeze - KDE 4 version of Plasma 5 artwork, style and assets
Summary: Review Request: kde-style-breeze - KDE 4 version of Plasma 5 artwork, style a...
Keywords:
Status: CLOSED ERRATA
Alias: kde-style-breeze
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2020-10-29 13:24 UTC by Rex Dieter
Modified: 2020-11-18 02:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-18 02:20:18 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2020-10-29 13:24:36 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-style-breeze/kde-style-breeze.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-style-breeze/kde-style-breeze-5.18.5-1.fc33.src.rpm
Description: KDE 4 version of Plasma 5 artwork, style and assets 
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2020-10-29 13:31:59 UTC
Scratch build,
https://koji.fedoraproject.org/koji/taskinfo?taskID=54486199

Comment 2 Micah Shennum 2020-11-02 03:53:00 UTC
> URL:     https://cgit.kde.org/%{base_name}.git

Working on an informal Review, and noticed the URL is out of date; cgit.kde.org is gone, replaced by invent.kde.org. See also https://lists.fedoraproject.org/archives/list/kde@lists.fedoraproject.org/thread/TKUPQGQVOOHL6LQI4TL545KGG4AFKABT/?sort=date

Comment 3 Rex Dieter 2020-11-03 14:39:58 UTC
%changelog
* Tue Nov 03 2020 Rex Dieter <rdieter> - 1:5.18.5-2
- use cmake-macros
- update URL
- drop use of %%base_name

Spec URL: https://rdieter.fedorapeople.org/rpms/kde-style-breeze/kde-style-breeze.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-style-breeze/kde-style-breeze-5.18.5-2.fc33.src.rpm

Comment 4 Micah Shennum 2020-11-05 02:34:34 UTC
INFORMAL Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Unowned directories, perhaps those belong to a kde4 package?
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/kde4/apps/kstyle,
     /usr/share/kde4/apps/kstyle/themes
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/kde4/apps/kstyle/themes, /usr/share/kde4/apps/kstyle

Potentially an issue, but I suspect this is okay and I just did not find kde/plugin rules,
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "Expat License", "GNU General Public License v2.0 or later",
     "Expat License GNU General Public License v2.0 or later", "GNU Lesser
     General Public License v3.0 or later". 917 files have unknown license.
     Detailed output of licensecheck in
     /home/jimtahu/Projects/fedora/1892693-kde-style-
     breeze/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/kde4/apps/kstyle,
     /usr/share/kde4/apps/kstyle/themes
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/kde4/apps/kstyle/themes, /usr/share/kde4/apps/kstyle
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kde-style-breeze-5.18.5-2.fc34.x86_64.rpm
          kde-style-breeze-debuginfo-5.18.5-2.fc34.x86_64.rpm
          kde-style-breeze-debugsource-5.18.5-2.fc34.x86_64.rpm
          kde-style-breeze-5.18.5-2.fc34.src.rpm
kde-style-breeze.x86_64: W: obsolete-not-provided plasma-breeze-kde4
kde-style-breeze.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: kde-style-breeze-debuginfo-5.18.5-2.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
kde-style-breeze-debugsource.x86_64: W: invalid-url URL: https://invent.kde.org/plasma/breeze <urlopen error [Errno -3] Temporary failure in name resolution>
kde-style-breeze.x86_64: W: invalid-url URL: https://invent.kde.org/plasma/breeze <urlopen error [Errno -3] Temporary failure in name resolution>
kde-style-breeze.x86_64: W: obsolete-not-provided plasma-breeze-kde4
kde-style-breeze.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbreezecommon4.so.5.18.5 /lib64/libm.so.6
kde-style-breeze.x86_64: W: no-documentation
kde-style-breeze-debuginfo.x86_64: W: invalid-url URL: https://invent.kde.org/plasma/breeze <urlopen error [Errno -3] Temporary failure in name resolution>
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Unversioned so-files
--------------------
kde-style-breeze: /usr/lib64/kde4/kstyle_breeze_config.so
kde-style-breeze: /usr/lib64/kde4/plugins/styles/breeze.so

Source checksums
----------------
http://download.kde.org/stable/plasma/5.18.5/breeze-5.18.5.tar.xz :
  CHECKSUM(SHA256) this package     : 1d08dfd24df4a4fcacad1e3759e559e82f6014ba63dc75dc32a24de6cd133563
  CHECKSUM(SHA256) upstream package : 1d08dfd24df4a4fcacad1e3759e559e82f6014ba63dc75dc32a24de6cd133563


Requires
--------
kde-style-breeze (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libX11-xcb.so.1()(64bit)
    libbreezecommon4.so.5()(64bit)
    libc.so.6()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxcb.so.1()(64bit)
    rtld(GNU_HASH)

kde-style-breeze-debuginfo (rpmlib, GLIBC filtered):

kde-style-breeze-debugsource (rpmlib, GLIBC filtered):



Provides
--------
kde-style-breeze:
    kde-style-breeze
    kde-style-breeze(x86-64)
    libbreezecommon4.so.5()(64bit)
    plasma-breeze-kde4(x86-64)

kde-style-breeze-debuginfo:
    debuginfo(build-id)
    kde-style-breeze-debuginfo
    kde-style-breeze-debuginfo(x86-64)

kde-style-breeze-debugsource:
    kde-style-breeze-debugsource
    kde-style-breeze-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1892693
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Perl, Haskell, fonts, Ocaml, SugarActivity, Python, PHP, Java, R, Ruby
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Robert-André Mauchin 🐧 2020-11-07 08:30:53 UTC
Unowned directories, perhaps those belong to a kde4 package?
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/kde4/apps/kstyle,
     /usr/share/kde4/apps/kstyle/themes
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/kde4/apps/kstyle/themes, /usr/share/kde4/apps/kstyle

I believe this is provided by kdelibs:

%dir %{_kde4_libdir}/kde4/
%dir %{_kde4_libdir}/kde4/plugins/

which is Required by the inclusion of the .so, so it should be ok as is.



Package approved.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "Expat License", "GNU General Public License v2.0 or later",
     "Expat License GNU General Public License v2.0 or later", "GNU Lesser
     General Public License v3.0 or later". 917 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/kde-
     style-breeze/review-kde-style-breeze/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/kde4/apps/kstyle,
     /usr/share/kde4/apps/kstyle/themes
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kde-style-breeze-5.18.5-2.fc34.x86_64.rpm
          kde-style-breeze-debuginfo-5.18.5-2.fc34.x86_64.rpm
          kde-style-breeze-debugsource-5.18.5-2.fc34.x86_64.rpm
          kde-style-breeze-5.18.5-2.fc34.src.rpm
kde-style-breeze.x86_64: W: obsolete-not-provided plasma-breeze-kde4
kde-style-breeze.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 7 Gwyn Ciesla 2020-11-09 19:35:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/kde-style-breeze

Comment 8 Fedora Update System 2020-11-09 21:12:34 UTC
FEDORA-2020-77585bf6b9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-77585bf6b9

Comment 9 Fedora Update System 2020-11-10 02:21:18 UTC
FEDORA-2020-77585bf6b9 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-77585bf6b9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-77585bf6b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-18 02:20:18 UTC
FEDORA-2020-77585bf6b9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.